Package com.google.javascript.rhino

# Class SourcePosition<T>

java.lang.Object
com.google.javascript.rhino.SourcePosition<T>

Direct Known Subclasses:
  `JSDocInfo.NamePosition`, `JSDocInfo.StringPosition`, `JSDocInfo.TypePosition`

public abstract class SourcePosition<T> extends Object
Represents a position in some piece of source code, with an associated item of type T found at that position.

## Constructor Summary

Constructors
Constructor
Description
`SourcePosition()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEndLine()`
Returns the ending line number of this position.
`T`
`getItem()`
Returns the item found at this source position.
`int`
`getPositionOnEndLine()`
Returns the character position on the ending line.
`int`
`getPositionOnStartLine()`
Returns the character position on the starting line.
`int`
`getStartLine()`
Returns the starting line number of this position.
`void`
`setItem(T item)`
Sets the item that this source position references.
`void`
`setPositionInformation(int startLineno, int startCharno, int endLineno, int endCharno)`
Sets the position information contained in this source position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourcePosition

public SourcePosition()

## Method Details

### setItem

public void setItem(T item)
Sets the item that this source position references.

### setPositionInformation

public void setPositionInformation(int startLineno, int startCharno, int endLineno, int endCharno)
Sets the position information contained in this source position.

### getItem

public T getItem()
Returns the item found at this source position.

### getStartLine

public int getStartLine()
Returns the starting line number of this position.

### getPositionOnStartLine

public int getPositionOnStartLine()
Returns the character position on the starting line.

### getEndLine

public int getEndLine()
Returns the ending line number of this position.

### getPositionOnEndLine

public int getPositionOnEndLine()
Returns the character position on the ending line.